Katello - Bug #6519

Associations tab is missing Activation Keys and Subscriptions Management Applications info

07/07/2014 07:32 PM - Thomas McKay

Status: Closed
Priority: Normal
Assignee: Thomas McKay
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1097445 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/440
0
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1097445

Description of problem:

Having registered a content host and properly consumed a subscription via an activation key with a content collection, visiting the
subscriptions page and clicking on the Associations tab shows that Activation Keys and Subscriptions Management Applications

fields are empty.
Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.7-1.el6sat.noarch
foreman-compute-1.6.0.7-1.el6sat.noarch
foreman-gce-1.6.0.7-1.el6sat.noarch
foreman-libvirt-1.6.0.7-1.el6sat.noarch
foreman-ovirt-1.6.0.7-1.el6sat.noarch
foreman-postgresql-1.6.0.7-1.el6sat.noarch
foreman-proxy-1.6.0.4-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
foreman-vmware-1.6.0.7-1.el6sat.noarch
katello-1.5.0-22.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.37-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-12.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch
e rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch
e rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. Register a RHEL content host using an activation key + host collection to an organization that has proper RHEL content synced
and promoted.

2. Visit the Subscriptions page and select the RHEL subscription used by your system

3.

Actual results:

The Association tab does not have information for Activation Keys and Subscriptions Management Applications fields

Expected results:

Additional info:

Associated revisions

Revision 7e86b53e - 07/29/2014 12:26 PM - Thomas McKay

fixes #6519 - updating associations Ul

Revision 54bd2704 - 07/29/2014 12:26 PM - Thomas McKay

fixes #6519 - updating associations Ul

Revision 1adc100f - 07/29/2014 01:25 PM - Thomas McKay
Merge pull request #4400 from thomasmckay/6406-associations
fixes #6519 - updating associations Ul

Revision 971a3d4d - 07/29/2014 01:25 PM - Thomas McKay
Merge pull request #4400 from thomasmckay/6406-associations

fixes #6519 - updating associations Ul

History

#1 - 07/07/2014 07:48 PM - Eric Helms
- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/14/2014 04:00 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4400 added

#3 - 07/28/2014 08:45 AM - Eric Helms

- Target version changed from 49 to 54

#4 - 07/29/2014 02:01 PM - Thomas McKay
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|7e86b53e3e086f8631edac26f0bd2b457267ec39.

#5 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
